CVE-2019-10162

MEDIUM

Description

A vulnerability has been found in PowerDNS Authoritative Server before versions 4.1.10, 4.0.8 allowing an authorized user to cause the server to exit by inserting a crafted record in a MASTER type zone under their control. The issue is due to the fact that the Authoritative Server will exit when it runs into a parsing error while looking up the NS/A/AAAA records it is about to use for an outgoing notify.

References

http://lists.opensuse.org/opensuse-security-announce/2019-08/msg00036.html

http://lists.opensuse.org/opensuse-security-announce/2019-08/msg00054.html

https://blog.powerdns.com/2019/06/21/powerdns-authoritative-server-4-0-8-and-4-1-10-released/

https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2019-10162

https://doc.powerdns.com/authoritative/security-advisories/powerdns-advisory-2019-04.html

Details

Source: MITRE

Published: 2019-07-30

Updated: 2019-08-15

Type: CWE-285

Risk Information

CVSS v2.0

Base Score: 5

Vector: AV:N/AC:L/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 10

Severity: MEDIUM

CVSS v3.0

Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 3.9

Severity: HIGH